MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004636ATutor- no cat -public2010-12-02 15:162010-12-20 10:19
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0.1 
Target VersionFixed in Version2.0.2 
Summary0004636: Registration goes thru at the absense of sha1-factory.js
DescriptionRename sha-1factory.js to another name -> register -> go through.

The password verification in sha-1factory.js is by-passed and the registrant is saved into database with empty password. This user is not longer able to login back.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004769)
cindy (administrator)
2010-12-07 13:40

SVN revision: 10481

Solution: check the existence of sha-1factory.js in vitals

Affected: include/vitals.inc.php

- Issue History
Date Modified Username Field Change
2010-12-02 15:16 cindy New Issue
2010-12-02 15:16 cindy Affects version => SVN
2010-12-07 11:45 greg Status new => assigned
2010-12-07 11:45 greg Assigned To => cindy
2010-12-07 13:40 cindy Status assigned => resolved
2010-12-07 13:40 cindy Fixed in Version => 2.0.2
2010-12-07 13:40 cindy Resolution open => fixed
2010-12-07 13:40 cindy Note Added: 0004769
2010-12-20 10:19 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker